IOSS 2.0

Static Public Attributes | List of all members
anonymous_namespace{Ioss_Pyramid19.C}::Constants Struct Reference

## Static Public Attributes
static const int | nnode = 19
static const int | nedge = 8
static const int | nedgenode = 3
static const int | nface = 5
static const int | nfacenode = 9
static const int | nfaceedge = 4
static int | edge_node_order [nedge][nedgenode]
static int | face_node_order [nface][nfacenode]
static int | face_edge_order [nface][nfaceedge]
static int | nodes_per_face [nface+1] = {-1, 7, 7, 7, 7, 9}
static int | nodes_per_edge [nedge+1] = {3, 3, 3, 3, 3, 3, 3, 3, 3}
static int | edges_per_face [nface+1] = {-1, 3, 3, 3, 3, 4}

## Member Data Documentation

## ◆ edge_node_order

int anonymous_namespace{Ioss_Pyramid19.C}::Constants::edge_node_order
| static

Initial value:
=
{
{0, 1, 5}, {1, 2, 6}, {2, 3, 7}, {3, 0, 8}, {0, 4, 9}, {1, 4, 10}, {2, 4, 11}, {3, 4, 12},
}

## ◆ edges_per_face

int anonymous_namespace{Ioss_Pyramid19.C}::Constants::edges_per_face = {-1, 3, 3, 3, 3, 4}
| static

## ◆ face_edge_order

int anonymous_namespace{Ioss_Pyramid19.C}::Constants::face_edge_order
| static

Initial value:
=
{{0, 5, 4, -1}, {1, 6, 5, -1}, {2, 7, 6, -1}, {3, 4, 7, -1}, {3, 2, 1, 0}}

## ◆ face_node_order

int anonymous_namespace{Ioss_Pyramid19.C}::Constants::face_node_order
| static

Initial value:
=
{{0, 1, 4, 5, 10, 9, 14, -1, -1},
{1, 2, 4, 6, 11, 10, 15, -1, -1},
{2, 3, 4, 7, 12, 11, 16, -1, -1},
{3, 0, 4, 8, 9, 12, 17, -1, -1},
{0, 3, 2, 1, 8, 7, 6, 5, 13}}

## ◆ nedge

const int anonymous_namespace{Ioss_Pyramid19.C}::Constants::nedge = 8
| static

## ◆ nedgenode

const int anonymous_namespace{Ioss_Pyramid19.C}::Constants::nedgenode = 3
| static

## ◆ nface

const int anonymous_namespace{Ioss_Pyramid19.C}::Constants::nface = 5
| static

## ◆ nfaceedge

const int anonymous_namespace{Ioss_Pyramid19.C}::Constants::nfaceedge = 4
| static

## ◆ nfacenode

const int anonymous_namespace{Ioss_Pyramid19.C}::Constants::nfacenode = 9
| static

## ◆ nnode

const int anonymous_namespace{Ioss_Pyramid19.C}::Constants::nnode = 19
| static

## ◆ nodes_per_edge

int anonymous_namespace{Ioss_Pyramid19.C}::Constants::nodes_per_edge = {3, 3, 3, 3, 3, 3, 3, 3, 3}
| static

## ◆ nodes_per_face

int anonymous_namespace{Ioss_Pyramid19.C}::Constants::nodes_per_face = {-1, 7, 7, 7, 7, 9}
| static

The documentation for this struct was generated from the following file:

- src/Ioss_Pyramid19.C